#include<iostream>

using namespace std;

int main()
{
    int n, k, pom, br = 0;

    cin >> n >> k;

    int a[n], pog[2*n+1], indeks[2*n+1];

    for(int i = 0; i < 2*n+1; i++)
    {
        pog[i] = 0;
        indeks[i] = 0;
    }
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
        pom = a[i];
        pog[pom+n]++;
    }
    pom = 0;
    for(int i = 0; i < (2*n+1);i++)
    {
        if(pog[i] >= k)
        {
            indeks[br] = i;
            br++;
        }
    } 
   cout << br << "\n";
   for(int i = 0; i < br; i++)
    {
        pom = indeks[i];
        cout << pom - n << ' ';
    }
    return 0;
}